## kimageformats 5.109.0

=== debian/changelog ===
kimageformats (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:49:27 +0100

kimageformats (5.108.0-0ubuntu2) mantic; urgency=medium

  * Rebuild against new libraw23.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 16 Jul 2023 10:02:54 +0200

kimageformats (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:20:25 +0100

kimageformats (5.107.0-3ubuntu1) mantic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add hello as an alternative build dependency of libjxl-dev,
      needed for backports

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 16:15:39 +0100

kimageformats (5.107.0-3) unstable; urgency=medium

  * Team upload.
  * Add the qt5-image-formats-plugins test build dependency, needed for some
    of the psd tests
    - drop patch disable-failing-test.patch, no more needed now
  * Fix the tests of the HEIF/HEIC plugin with the new Debian packaging of
    libheif 1.16.2, which provides the various plugins as separate packages:
    (Closes: #1040255)
    - add libheif-plugin-libde265, and libheif-plugin-x265 both as test build
      dependencies, and runtime dependencies, as the plugin needs at least
      these two to load and do basic reading/writing
    - enable again the plugin

 -- Pino Toscano <pino@debian.org>  Wed, 05 Jul 2023 20:08:33 +0200

kimageformats (5.107.0-2) unstable; urgency=medium

  * Team upload.
  * Temporarily disable the HEIF/HEIC plugin, as it does not work properly with
    newer versions of libheif (see #1040255).

 -- Pino Toscano <pino@debian.org>  Wed, 05 Jul 2023 18:59:08 +0200

kimageformats (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Add patch to disable failing test.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:35 +0200

kimageformats (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:05:46 +0100

kimageformats (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Add qt5-image-formats-plugins to Build-Depends, needed for unit
    tests

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:46:13 +0100

kimageformats (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:55 +0100

=== debian/control ===
Source: kimageformats
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.109.0~),
               libavif-dev (>= 0.8.2~),
               libheif-dev (>= 1.10.0~),
               libheif-plugin-libde265 <!nocheck> | hello,
               libheif-plugin-x265 <!nocheck>,
               libjxl-dev (>= 0.6.1~) [linux-any],
               libkf5archive-dev (>= 5.109.0~),
               libopenexr-dev (>= 3.0~),
               libraw-dev (>= 0.20.2~),
               pkg-config,
               qt5-image-formats-plugins <!nocheck>,
               qtbase5-dev (>= 5.15.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kimageformats
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimageformats
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimageformats
Rules-Requires-Root: no

Package: kimageformat-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
         libheif-plugin-libde265,
         libheif-plugin-x265,
Description: additional image format plugins for QtGui
 This framework provides additional image format plugins for QtGui.  As
 such it is not required for the compilation of any other software, but
 may be a runtime requirement for Qt-based software to support certain
 image formats.
 .
 This package is part of KDE Frameworks.

## kimageformats 5.110.0

=== debian/changelog ===
kimageformats (5.110.0-0ubuntu2) mantic; urgency=medium

  * Allow backport to 23.04 where new libheif plugins do not exist.

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 14:57:05 +0100

kimageformats (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:07:26 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                libavif-dev (>= 0.8.2~),
                libheif-dev (>= 1.10.0~),
                libheif-plugin-libde265 <!nocheck> | hello,
-               libheif-plugin-x265 <!nocheck>,
+               libheif-plugin-x265 <!nocheck> | hello,
                libjxl-dev (>= 0.6.1~) [linux-any],
-               libkf5archive-dev (>= 5.109.0~),
+               libkf5archive-dev (>= 5.110.0~),
                libopenexr-dev (>= 3.0~),
                libraw-dev (>= 0.20.2~),
                pkg-config,

## kimageformats 5.113.0

=== debian/changelog ===
kimageformats (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:43:37 +0000

kimageformats (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:48:30 +0000

kimageformats (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:58:12 +0000

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
                libavif-dev (>= 0.8.2~),
                libheif-dev (>= 1.10.0~),
                libheif-plugin-libde265 <!nocheck> | hello,
                libheif-plugin-x265 <!nocheck> | hello,
                libjxl-dev (>= 0.6.1~) [linux-any],
-               libkf5archive-dev (>= 5.110.0~),
+               libkf5archive-dev (>= 5.113.0~),
                libopenexr-dev (>= 3.0~),
                libraw-dev (>= 0.20.2~),
                pkg-config,

## kimageformats 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(KImageFormats)

include(FeatureSummary)
find_package(ECM 5.115.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${KImageFormats_SOURCE_DIR}/cmake/find-modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(CheckIncludeFiles)
include(FindPkgConfig)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION}Gui ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

find_package(KF5Archive)
set_package_properties(KF5Archive PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for the QImage plugin for Krita and OpenRaster images"
)

# EPS support depends on the gs utility; non-UNIX systems are unlikely to have
# this available in PATH
set(BUILD_EPS_PLUGIN FALSE)
if (UNIX)
    find_package(Qt${QT_MAJOR_VERSION}PrintSupport ${REQUIRED_QT_VERSION} NO_MODULE)
    set_package_properties(Qt${QT_MAJOR_VERSION}PrintSupport PROPERTIES
        PURPOSE "Required for the QImage plugin for EPS images"
        TYPE OPTIONAL
    )
    if (TARGET Qt${QT_MAJOR_VERSION}::PrintSupport)
        set(BUILD_EPS_PLUGIN TRUE)
    endif()
endif()

find_package(OpenEXR 3.0 CONFIG QUIET)
if(NOT OpenEXR_FOUND)
    find_package(OpenEXR)
endif()
set_package_properties(OpenEXR PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for the QImage plugin for OpenEXR images"
)

find_package(libavif 0.8.2 CONFIG QUIET)
if(NOT libavif_FOUND)
    find_package(libavif 1 CONFIG)
endif()
set_package_properties(libavif PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for the QImage plugin for AVIF images"
)

option(KIMAGEFORMATS_HEIF "Enable plugin for HEIF format" OFF)
if(KIMAGEFORMATS_HEIF)
    pkg_check_modules(LibHeif IMPORTED_TARGET libheif>=1.10.0)
endif()
add_feature_info(LibHeif LibHeif_FOUND "required for the QImage plugin for HEIF/HEIC images")

option(KIMAGEFORMATS_JXL "Enable plugin for JPEG XL format" ON)
if(KIMAGEFORMATS_JXL)
    pkg_check_modules(LibJXL IMPORTED_TARGET libjxl>=0.7.0)
    pkg_check_modules(LibJXLThreads IMPORTED_TARGET libjxl_threads>=0.7.0)
endif()
add_feature_info(LibJXL LibJXL_FOUND "required for the QImage plugin for JPEG XL images")

# note: module FindLibRaw missing from https://invent.kde.org/frameworks/extra-cmake-modules
find_package(LibRaw 0.20.2)
set_package_properties(LibRaw PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for the QImage plugin for RAW images"
)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kimageformats (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:13:13 +0200

kimageformats (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release 5.115.0 (Closes: #1053665).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Disable tests.

 -- Patrick Franz <deltaone@debian.org>  Mon, 18 Mar 2024 23:59:32 +0100

kimageformats (5.107.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Adrian Bunk ]
  * debian/rules: Specify -fexcess-precision=fast for i386 to avoid FTBFS
    due to GCC 13 changing its default behavior. (Closes: #1053830)

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Oct 2023 16:16:43 -0400

=== debian/control ===
Source: kimageformats
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.115.0~),
               libavif-dev (>= 1~),
               libheif-dev (>= 1.10.0~),
               libheif-plugin-libde265 <!nocheck>,
               libheif-plugin-x265 <!nocheck>,
               libjxl-dev (>= 0.6.1~) [linux-any],
               libkf5archive-dev,
               libopenexr-dev (>= 3.0~),
               libraw-dev (>= 0.20.2~),
               pkgconf,
               qt5-image-formats-plugins <!nocheck>,
               qtbase5-dev (>= 5.15.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kimageformats
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kimageformats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kimageformats.git
Rules-Requires-Root: no

Package: kimageformat-plugins
Architecture: any
Depends: libheif-plugin-libde265,
         libheif-plugin-x265,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional image format plugins for QtGui
 This framework provides additional image format plugins for QtGui.  As
 such it is not required for the compilation of any other software, but
 may be a runtime requirement for Qt-based software to support certain
 image formats.
 .
 This package is part of KDE Frameworks.

## kimageformats 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(KImageFormats)
 
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kimageformats (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:40:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.115.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 5.116.0~),
                libavif-dev (>= 1~),
                libheif-dev (>= 1.10.0~),
                libheif-plugin-libde265 <!nocheck>,
@@ -21,7 +21,7 @@
                qtbase5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kimageformats
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kimageformats
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kimageformats.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

ifeq ($(DEB_HOST_ARCH_CPU),i386)
  export DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store -fexcess-precision=fast
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DKIMAGEFORMATS_HEIF=ON

override_dh_auto_test:
	#xvfb-run -a dh_auto_test # Disbaled due to 14 - kimageformats-read-hej2 (Failed)

## kimageformats 5.116.0+p24.04+vstable+git20250801.1350

=== debian/changelog ===
kimageformats (5.116.0+p24.04+vstable+git20250801.1350-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 01 Aug 2025 13:50:52 +0000

kimageformats (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:40:50 +1000

kimageformats (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:28:00 +0000

kimageformats (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:22:00 +0000

kimageformats (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:02:53 +0000

kimageformats (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:44:29 +0000

kimageformats (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 15 Nov 2023 11:23:44 +0000

kimageformats (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:26:03 +0000

kimageformats (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 03:29:16 +0000

kimageformats (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:09:35 +0000

kimageformats (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:42:19 +0000

kimageformats (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:58:04 +0000

kimageformats (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:54:27 +0000

kimageformats (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:28:53 +0000

kimageformats (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:34:05 +0000

kimageformats (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:55:12 +0000

kimageformats (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:56:53 +0000

kimageformats (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:07:02 +0000

kimageformats (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:20:28 +0000

kimageformats (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:27:59 +0000

kimageformats (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:02:36 +0000

kimageformats (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:30:30 +0000

kimageformats (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Apr 2022 12:11:57 +0000

kimageformats (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:29:25 +0000

kimageformats (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:19:53 +0000

kimageformats (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:25:31 +0000

kimageformats (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:53:06 +0000

kimageformats (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 17:13:07 +0000

kimageformats (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:09:33 +0000

kimageformats (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:07 +0000

kimageformats (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:26:08 +0000

kimageformats (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:17:04 +0000

kimageformats (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:11:36 +0000

kimageformats (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:17:33 +0000

kimageformats (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:58:29 +0000

kimageformats (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:14:46 +0000

kimageformats (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:04:59 +0000

kimageformats (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:31:17 +0000

kimageformats (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:41:11 +0000

kimageformats (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:27:36 +0000

kimageformats (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:18:51 +0000

kimageformats (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:35:40 +0000

kimageformats (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:54:09 +0000

kimageformats (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:41:35 +0000

kimageformats (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:19:13 +0000


=== debian/control ===
Source: kimageformats
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.51.0~),
               libavif-dev,
               libheif-dev,
               libkf5archive-dev,
               libopenexr-dev,
               libraw-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               pkgconf,
               qtbase5-dev (>= 5.8.0~)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kimageformats
Vcs-Git: https://invent.kde.org/neon/kde/kimageformats.git
Vcs-Browser: https://invent.kde.org/neon/kde/kimageformats
Maintainer: Neon CI <neon@kde.org>

Package: kimageformat-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: additional image format plugins for QtGui
 This framework provides additional image format plugins for QtGui.  As
 such it is not required for the compilation of any other software, but
 may be a runtime requirement for Qt-based software to support certain
 image formats.
 .
 This package is part of KDE Frameworks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kf5 -O--buildsystem=kf5 -- -DKIMAGEFORMATS_HEIF=ON

override_dh_strip:
	dh_strip --dbgsym-migration='kimageformats-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable tests at build time
	:

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d\.]*)/kimageformats-(.*)\.tar\.xz
